using Microsoft.Extensions.Logging;

// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

namespace EonaCat.Logger.EonaCatCoreLogger
{
    public class SlackLoggerProvider : ILoggerProvider
    {
        private readonly SlackLoggerOptions _options;

        public SlackLoggerProvider(SlackLoggerOptions options)
        {
            _options = options;
        }

        public ILogger CreateLogger(string categoryName)
        {
            return new SlackLogger(categoryName, _options);
        }

        public void Dispose()
        {
            // Nothing to dispose
        }
    }
}
